Entries missing from view_rows_columns

Bug #1672737 reported by davosmith on 2017-03-14
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Unassigned
17.04
High
Unassigned
17.10
High
Unassigned

Bug Description

We have had a problem occur a couple of times recently for a particular customer using Mahara.

Some of the content is disappearing from pages - it is still there in the 'view_layout_rows_columns' and 'view_layout_columns' tables, but some of it is missing from the 'view_rows_columns' table.

If you delete all the records relating to the particular view from the 'view_rows_columns' table, then Mahara spots that all the records are missing and rebuilds the whole page. This results in the missing page sections reappearing correctly.

I'm afraid I can't offer any step-by-step instructions for how to reproduce the problem - it has only happened twice (that we have discovered) in the last few months and in each case we can see what is wrong with the data, but not how it reached that state.

This may be related to https://bugs.launchpad.net/mahara/+bug/1626462 but the site is currently running Mahara 16.04.4 and that has not fixed the problem (as that fix only works when *all* the records in 'view_rows_columns' are missing, not when only some of them are missing).

Mahara: 16.04.4
OS: Linux
DB: MySQL
Browser: not relevant

What was the version you used prior to 16.04?

Changed in mahara:
status: New → Incomplete
Robert Lyon (robertl-9) on 2017-03-19
Changed in mahara:
status: Incomplete → In Progress
importance: Undecided → High
milestone: none → 17.04.0

Reviewed: https://reviews.mahara.org/7544
Committed: https://git.mahara.org/mahara/mahara/commit/952d55f1f19a92586f52df41a4c499cee0c5f4ee
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 952d55f1f19a92586f52df41a4c499cee0c5f4ee
Author: Robert Lyon <email address hidden>
Date: Mon Mar 20 11:11:05 2017 +1300

Bug 1672737: Fixing for when some view_row_columns lines are missing

behatnotneeded

Change-Id: I85b50c3a9b8f84267a1f618e3217c878b4894ca2
Signed-off-by: Robert Lyon <email address hidden>

Robert Lyon (robertl-9) on 2017-03-26
Changed in mahara:
status: In Progress → Fix Committed

Reviewed: https://reviews.mahara.org/7668
Committed: https://git.mahara.org/mahara/mahara/commit/bb0ea76c7de9aa8d23141ef5707d3f63fdf4e212
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit bb0ea76c7de9aa8d23141ef5707d3f63fdf4e212
Author: Robert Lyon <email address hidden>
Date: Fri Apr 21 15:51:40 2017 +1200

Bug 1685041: Getting new templates to save layout

A regression problem created when trying to fix existing layouts
in Bug 1672737

Also getting site template heading link in panel go to the edit screen
as that is the only logical place for it to go

behatnotneeded

Change-Id: Id6de8a9430bfecc23a6cdb573102fbeac7a6cd42
Signed-off-by: Robert Lyon <email address hidden>

Reviewed: https://reviews.mahara.org/7688
Committed: https://git.mahara.org/mahara/mahara/commit/d0240d3c1bc5302e68d75be75e44f9d4c3c2b35f
Submitter: Robert Lyon (<email address hidden>)
Branch: 17.04_STABLE

commit d0240d3c1bc5302e68d75be75e44f9d4c3c2b35f
Author: Robert Lyon <email address hidden>
Date: Fri Apr 21 15:51:40 2017 +1200

Bug 1685041: Getting new templates to save layout

A regression problem created when trying to fix existing layouts
in Bug 1672737

Also getting site template heading link in panel go to the edit screen
as that is the only logical place for it to go

behatnotneeded

Change-Id: Id6de8a9430bfecc23a6cdb573102fbeac7a6cd42
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit bb0ea76c7de9aa8d23141ef5707d3f63fdf4e212)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers